Agregar adjunto a registro de servicio
curl --request POST \
--url https://api.ugps.io/api/maintenance/service-logs/{id}/attachments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileName": "factura-taller.pdf",
"fileUrl": "https://archivos.example.com/factura-taller.pdf",
"mimeType": "application/pdf"
}
'import requests
url = "https://api.ugps.io/api/maintenance/service-logs/{id}/attachments"
payload = {
"fileName": "factura-taller.pdf",
"fileUrl": "https://archivos.example.com/factura-taller.pdf",
"mimeType": "application/pdf"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fileName: 'factura-taller.pdf',
fileUrl: 'https://archivos.example.com/factura-taller.pdf',
mimeType: 'application/pdf'
})
};
fetch('https://api.ugps.io/api/maintenance/service-logs/{id}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ugps.io/api/maintenance/service-logs/{id}/attachments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fileName' => 'factura-taller.pdf',
'fileUrl' => 'https://archivos.example.com/factura-taller.pdf',
'mimeType' => 'application/pdf'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ugps.io/api/maintenance/service-logs/{id}/attachments"
payload := strings.NewReader("{\n \"fileName\": \"factura-taller.pdf\",\n \"fileUrl\": \"https://archivos.example.com/factura-taller.pdf\",\n \"mimeType\": \"application/pdf\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ugps.io/api/maintenance/service-logs/{id}/attachments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fileName\": \"factura-taller.pdf\",\n \"fileUrl\": \"https://archivos.example.com/factura-taller.pdf\",\n \"mimeType\": \"application/pdf\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ugps.io/api/maintenance/service-logs/{id}/attachments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fileName\": \"factura-taller.pdf\",\n \"fileUrl\": \"https://archivos.example.com/factura-taller.pdf\",\n \"mimeType\": \"application/pdf\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {}
}{
"error": "El email es requerido"
}{
"error": "Token inválido o expirado"
}{
"error": "No tiene permisos para realizar esta acción"
}{
"error": "Recurso no encontrado"
}{
"message": "Error interno del servidor"
}Mantenimiento - Registros de Servicio
Agregar adjunto a registro de servicio
POST
/
api
/
maintenance
/
service-logs
/
{id}
/
attachments
Agregar adjunto a registro de servicio
curl --request POST \
--url https://api.ugps.io/api/maintenance/service-logs/{id}/attachments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileName": "factura-taller.pdf",
"fileUrl": "https://archivos.example.com/factura-taller.pdf",
"mimeType": "application/pdf"
}
'import requests
url = "https://api.ugps.io/api/maintenance/service-logs/{id}/attachments"
payload = {
"fileName": "factura-taller.pdf",
"fileUrl": "https://archivos.example.com/factura-taller.pdf",
"mimeType": "application/pdf"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fileName: 'factura-taller.pdf',
fileUrl: 'https://archivos.example.com/factura-taller.pdf',
mimeType: 'application/pdf'
})
};
fetch('https://api.ugps.io/api/maintenance/service-logs/{id}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ugps.io/api/maintenance/service-logs/{id}/attachments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fileName' => 'factura-taller.pdf',
'fileUrl' => 'https://archivos.example.com/factura-taller.pdf',
'mimeType' => 'application/pdf'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ugps.io/api/maintenance/service-logs/{id}/attachments"
payload := strings.NewReader("{\n \"fileName\": \"factura-taller.pdf\",\n \"fileUrl\": \"https://archivos.example.com/factura-taller.pdf\",\n \"mimeType\": \"application/pdf\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ugps.io/api/maintenance/service-logs/{id}/attachments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fileName\": \"factura-taller.pdf\",\n \"fileUrl\": \"https://archivos.example.com/factura-taller.pdf\",\n \"mimeType\": \"application/pdf\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ugps.io/api/maintenance/service-logs/{id}/attachments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fileName\": \"factura-taller.pdf\",\n \"fileUrl\": \"https://archivos.example.com/factura-taller.pdf\",\n \"mimeType\": \"application/pdf\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {}
}{
"error": "El email es requerido"
}{
"error": "Token inválido o expirado"
}{
"error": "No tiene permisos para realizar esta acción"
}{
"error": "Recurso no encontrado"
}{
"message": "Error interno del servidor"
}Authorizations
Token de sesión Better Auth o API token (atk_...) en el header Authorization: Bearer <token>. Los JWT legacy ya no son válidos.
Path Parameters
ID del recurso
Body
application/json

